// basic colors
$basic: (
        "red":   #e51c23,
        "green": #00a53e,
        "blue":  #69cce3,
        "white": #fff,
        "black": #000,
);

//shades of gray colors
$gray: (
        "base":       #9e9e9e,
        "lighten-5":  #fafafa,
        "lighten-4":  #f5f5f5,
        "lighten-3":  #eeeeee,
        "lighten-2":  #e0e0e0,
        "lighten-1":  #bdbdbd,
        "darken-1":   #757575,
        "darken-2":   #616161,
        "darken-3":   #424242,
        "darken-4":   #212121
);

$brand: (
        "prmary":   #69cce3,
        "secondary": #272727,
        "tertiary":  #69cce3,
);

//brand colors
$color-brand-primary: #69cce3;
$color-brand-secondary: #272727;

//
$grayLighter: #cecece;
$grayLight: #a6a6a6;
$gray: #ebebeb;
$grayDark: #646565;

$colors: (
        "basic": $basic,
        "gray": $gray,
        "brand": $brand
) !default;



// usage: color("name_of_color", "type_of_color")

@function color($color, $type) {
  @if map-has-key($colors, $color) {
    $curr_color: map-get($colors, $color);
    @if map-has-key($curr_color, $type) {
      @return map-get($curr_color, $type);
    }
  }
  @warn "Unknown `#{$color}` - `#{$type}` in $colors.";
  @return null;
}







